# Settings

## Gets a setting by its object identifier.

> Retrieves a setting using its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{objectIdentifier}":{"get":{"tags":["Settings"],"summary":"Gets a setting by its object identifier.","description":"Retrieves a setting using its object identifier.","parameters":[{"name":"objectIdentifier","in":"path","description":"The object identifier of the setting.","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets all settings for the current organization.

> Retrieves a paginated list of all settings for the current organization.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings":{"get":{"tags":["Settings"],"summary":"Gets all settings for the current organization.","description":"Retrieves a paginated list of all settings for the current organization.","parameters":[{"name":"pageNumber","in":"query","description":"The page number for paginated results.","schema":{"type":"integer","format":"int32"}},{"name":"pageSize","in":"query","description":"The number of items per page.","schema":{"type":"integer","format":"int32"}},{"name":"parentObjectIdentifier","in":"query","description":"Optional parent object identifier.","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Gets settings by a list of object identifiers.

> Retrieves settings by a list of object identifiers.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/setting-identifiers":{"get":{"tags":["Settings"],"summary":"Gets settings by a list of object identifiers.","description":"Retrieves settings by a list of object identifiers.","parameters":[{"name":"settingIdentifiers","in":"query","description":"The collection of setting object identifiers.","schema":{"type":"array","items":{"type":"string","format":"uuid"}}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}},"text/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```

## Updates a setting by its object identifier.

> Updates a setting by its object identifier.

```json
{"openapi":"3.0.4","info":{"title":"Settings Service API","version":"v1"},"servers":[{"url":"https://settings.{region}.jylo.ai","variables":{"tenant":{"default":"example","description":"Tenant name"},"region":{"default":"uk","description":"Region","enum":["uk","us","eu","au","jp"]}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer authentication with JWT","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"Jylo.Toolkit.API.Models.MultiTypeInputWriteModel":{"type":"object","properties":{"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"date":{"type":"string","format":"date-time","nullable":true},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"categories":{"type":"array","items":{"type":"string","format":"uuid"},"nullable":true},"organizationMetadataIdentifier":{"type":"string","format":"uuid"}},"additionalProperties":false},"Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel":{"required":["description","name"],"type":"object","properties":{"name":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"dataType":{"type":"string","nullable":true},"resourceTypeIdentifier":{"type":"string","format":"uuid","nullable":true},"isYes":{"type":"boolean","nullable":true},"decimalValue":{"type":"number","format":"double","nullable":true},"text":{"type":"string","nullable":true},"objectIdentifier":{"type":"string","format":"uuid"},"dateAdded":{"type":"string","format":"date-time"},"isDirectory":{"type":"boolean"},"orderNumber":{"type":"integer","format":"int32"},"singleCategoryIdentifier":{"type":"string","format":"uuid","nullable":true},"singleCategory":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"options":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true},"categories":{"type":"array","items":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel"},"nullable":true}},"additionalProperties":false},"Jylo.Toolkit.Entities.SettingsEntities.SettingOptionModel":{"required":["label","value"],"type":"object","properties":{"label":{"type":"string","nullable":true},"value":{"type":"string","nullable":true}},"additionalProperties":false},"Microsoft.AspNetCore.Mvc.ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/settings/{settingObjectIdentifier}":{"patch":{"tags":["Settings"],"summary":"Updates a setting by its object identifier.","description":"Updates a setting by its object identifier.","parameters":[{"name":"settingObjectIdentifier","in":"path","description":"The object identifier of the setting to update.","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"description":"The updated setting data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}},"application/*+json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.API.Models.MultiTypeInputWriteModel"}}}},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}},"application/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}},"text/json":{"schema":{"$ref":"#/components/schemas/Jylo.Toolkit.Entities.SettingsEntities.SettingReadModel"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"403":{"description":"Forbidden","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails"}}}}}}}}}
```
